## org.eclipse.xsd
Enum XSDDiagnosticSeverity

    java.lang.Object
      java.lang.Enum<XSDDiagnosticSeverity>
          org.eclipse.xsd.XSDDiagnosticSeverity

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<XSDDiagnosticSeverity>, Enumerator

    public enum XSDDiagnosticSeverity

extends java.lang.Enum<XSDDiagnosticSeverity>
implements Enumerator

A representation of the literals of the enumeration 'Diagnostic Severity'.

See Also:
  `XSDDiagnostic.getSeverity()`, `XSDPackage.getXSDDiagnosticSeverity()`

Enum Constant Summary
`ERROR_LITERAL` The 'Error' literal object
`FATAL_LITERAL` The 'Fatal' literal object
`INFORMATION_LITERAL` The 'Information' literal object
`WARNING_LITERAL` The 'Warning' literal object

Field Summary
`static int` `ERROR` The 'Error' literal value
`static int` `FATAL` The 'Fatal' literal value
`static int` `INFORMATION` The 'Information' literal value
`static java.util.List<XSDDiagnosticSeverity>` `VALUES` A public read-only list of all the 'Diagnostic Severity' enumerators
`static int` `WARNING` The 'Warning' literal value

Method Summary
`static XSDDiagnosticSeverity` `get(int value)` Returns the 'Diagnostic Severity' literal with the specified integer value
`static XSDDiagnosticSeverity` `get(java.lang.String literal)` Returns the 'Diagnostic Severity' literal with the specified literal value
`static XSDDiagnosticSeverity` `getByName(java.lang.String name)` Returns the 'Diagnostic Severity' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static XSDDiagnosticSeverity` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static XSDDiagnosticSeverity[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FATAL_LITERAL

    public static final XSDDiagnosticSeverity FATAL_LITERAL

  The 'Fatal' literal object.

  See Also:
    `FATAL`

### ERROR_LITERAL

    public static final XSDDiagnosticSeverity ERROR_LITERAL

  The 'Error' literal object.

  See Also:
    `ERROR`

### WARNING_LITERAL

    public static final XSDDiagnosticSeverity WARNING_LITERAL

  The 'Warning' literal object.

  See Also:
    `WARNING`

### INFORMATION_LITERAL

    public static final XSDDiagnosticSeverity INFORMATION_LITERAL

  The 'Information' literal object.

  See Also:
    `INFORMATION`

Field Detail

### FATAL

    public static final int FATAL

  The 'Fatal' literal value.

  This is used to indicate that the problem is really bad and that further processing is likely not possible.

  See Also:
    `FATAL_LITERAL`, Constant Field Values

### ERROR

    public static final int ERROR

  The 'Error' literal value.

  This is used to indicate that the problem is bad and that the schema is likely not suitable for use.

  See Also:
    `ERROR_LITERAL`, Constant Field Values

### WARNING

    public static final int WARNING

  The 'Warning' literal value.

  This is used to indicate that the problem is not too bad and that the schema is likely suitable for use.

  See Also:
    `WARNING_LITERAL`, Constant Field Values

### INFORMATION

    public static final int INFORMATION

  The 'Information' literal value.

  This is used to indicate that the problem is only potential and that the schema is very likely suitable for use.

  See Also:
    `INFORMATION_LITERAL`, Constant Field Values

### VALUES

    public static final java.util.List<XSDDiagnosticSeverity> VALUES

  A public read-only list of all the 'Diagnostic Severity' enumerators.

Method Detail

### values

    public static final XSDDiagnosticSeverity[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(XSDDiagnosticSeverity c : XSDDiagnosticSeverity.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static XSDDiagnosticSeverity valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static XSDDiagnosticSeverity get(java.lang.String literal)

  Returns the 'Diagnostic Severity' literal with the specified literal value.

### getByName

    public static XSDDiagnosticSeverity getByName(java.lang.String name)

  Returns the 'Diagnostic Severity' literal with the specified name.

### get

    public static XSDDiagnosticSeverity get(int value)

  Returns the 'Diagnostic Severity' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<XSDDiagnosticSeverity>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.